/**
 * Copyright (c) 2017-present, Alibaba Group Holding Limited.
 * All rights reserved.
 */
/** @jsx createElement */

'use strict';

import Item from './view/item';

const isWeex =
  typeof callNative === 'function' ||
  (typeof WXEnvironment === 'object' && WXEnvironment.platform !== 'Web');
let Entry;
if (isWeex) {
  Entry = require('./view/tabbar');
} else {
  Entry = require('./view/tabbar-web');
}
Entry.Item = Item;

export default Entry;
