import VariableMix from './variable';

function StyleMix(theme = {}) {
  const Variables = VariableMix(theme);
  return {
    'Ep-Tabbar': {
      wrapContainer: {
        position: 'absolute',
        top: '-1rem',
        left: '0rem',
        bottom: '0rem',
        width: '750rem',
        overflow: 'hidden',
      },
      header: {
        position: 'absolute',
        flexDirection: 'row',
        width: '750rem',
        zIndex: '10',
      },
      nav: {
        position: 'absolute',
        width: Variables['tab-size-width'],
        height: Variables['nav-size-height'],
        backgroundColor: Variables['normal-bg-color'],
        zIndex: '10',
      },
      navContent: {
        height: Variables['nav-size-height'],
      },
      tabInner: {
        position: 'relative',
        width: Variables['tab-size-width'],
        height: Variables['nav-size-height'],
        flexDirection: 'row',
      },
      container: {
        // position: 'absolute',
        left: '0rem',
        top: '0rem',
        width: '750rem',
      },
      slider: {
        position: 'absolute',
        top: '0',
        left: '0',
        bottom: '0',
        width: '750rem',
      },
      eachTab: {
        position: 'absolute',
        top: '0',
        left: '0',
        bottom: '0',
        width: 750,
      },
    },
  };
}

export default StyleMix;
