'use strict';

function VariableMix(theme) {
  const Core = theme.Core;
  const ComponentCustomStyle = theme.Radio;

  /**
   * tab容器
   * @namespace component
   * @property module tabbar
   * @property tag TABBAR
   * @property category component
   */

  const tabVaribles = {
    /**
     * size
     * @property namespace size/bounding
     */
    'tab-size-width': 750,
    /**
     * size
     * @property namespace size/bounding
     */
    'nav-size-height': 88,
    /**
     * background
     * @property namespace size/icon
     */
    'normal-bg-color': Core['color-white'],
  };
  const variables = Object.assign(tabVaribles, ComponentCustomStyle);
  return variables;
}
module.exports = VariableMix;
