# NukeEpUtils

* category: utils
* chinese: expresstion-binding util
* type: 基本

---

封装了一系列 util 方法用于针对客户端进行 ep 化组件功能实现，包含以下 Detection

## Detection API

| 参数        | 说明                                                              | 类型     | 默认值         |
| ----------- | ----------------------------------------------------------------- | -------- | -------------- |
| platform    | 客户端平台                                                        | string   | iOS or Android |
| osVersion   | 系统版本                                                          | String   | null           |
| isInAliapp  | 是否在 ali 客户端内                                               | bool     | false          |
| deviceModel | 设备模型，如 xiaomi                                               | string   | undefined      |
| appVersion  | 应用版本                                                          | string   | undefined      |
| gt          | 版本判断方法，用于比较目标版本与当前版本号的大小，具体传参见 demo | Function |

```js
// 判断应用版本是否大于4.3.1
Detection.gt('4.3.1', false);
// 判断系统版本是否大于4.3.1
Detection.gt('4.3.1', true);
```
