# 测试页面

* order: 0
* hide:true

内部页面用于测试 Navigator

---

```js
/** @jsx createElement */
import { createElement, Component, render } from 'rax';
import Navigator from 'nuke-navigator';
import Button from 'nuke-button';
import Page from 'nuke-page';

let App = class NukeDemoIndex extends Component {
    constructor() {
        super();
    }
    pop() {
        Navigator.pop();
    }
    popHome() {
        Navigator.pop({
            ifNeedClear: true,
            url: '//www.lazada.sg'
        });
    }
    render() {
        return (
            <Page title="Next Page">
                <Page.Intro main="Pop" />
                <Button onPress={this.pop} block="true" type="primary">
                    Pop
                </Button>
                <Button onPress={this.popHome} block="true" type="primary">
                    Pop to homePage
                </Button>
            </Page>
        );
    }
};

render(<App />);
```
