'use strict';

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _nukeVarLoader = require('nuke-var-loader');

var _nukeCore = require('nuke-core');

var _nukeCore2 = _interopRequireDefault(_nukeCore);

var _variable = require('./variable');

var _variable2 = _interopRequireDefault(_variable);

var _mixins = require('./mixins.js');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var styles = {
    "radio-wrap-normal-small": _extends({}, _nukeCore2.default.border(_variable2.default['radio-normal-border-width'], _variable2.default['radio-normal-border-style'], _variable2.default['radio-normal-border-color']), (0, _mixins.alignCenter)(), {
        width: _variable2.default['radio-small-size-width'],
        height: _variable2.default['radio-small-size-height']
    }),
    "radio-wrap-normal-medium": _extends({}, _nukeCore2.default.border(_variable2.default['radio-normal-border-width'], _variable2.default['radio-normal-border-style'], _variable2.default['radio-normal-border-color']), (0, _mixins.alignCenter)(), {
        width: _variable2.default['radio-medium-size-width'],
        height: _variable2.default['radio-medium-size-height']
    }),
    "radio-wrap-list": {
        backgroundColor: "transparent"
    },
    "radio-wrap-list-small": _extends({}, (0, _mixins.alignCenter)(), _nukeCore2.default.border(0, _variable2.default['radio-normal-border-style'], _variable2.default['radio-normal-border-color']), {
        width: _variable2.default['radio-small-size-width'],
        height: _variable2.default['radio-small-size-height']
    }),
    "radio-wrap-list-medium": _extends({}, (0, _mixins.alignCenter)(), _nukeCore2.default.border(0, _variable2.default['radio-normal-border-style'], _variable2.default['radio-normal-border-color']), {
        width: _variable2.default['radio-medium-size-width'],
        height: _variable2.default['radio-medium-size-height']
    }),
    "radio-checked": {
        borderColor: _variable2.default['radio-normal-border-color-selected'],
        backgroundColor: _variable2.default['radio-normal-bg-color-selected']
    },
    "radio-disabled": {
        opacity: 1,
        borderColor: _variable2.default['radio-normal-border-color-disabled'],
        backgroundColor: _variable2.default['radio-normal-bg-color-disabled']
    },
    "radio-small": {
        fontSize: _variable2.default['radio-small-icon-size'],
        borderRadius: _variable2.default['radio-small-icon-size'],
        // lineHeight: Variables[`radio-small-icon-size`]
        color: _variable2.default['radio-normal-icon-color-selected']
    },
    "radio-medium": {
        fontSize: _variable2.default['radio-medium-icon-size'],
        borderRadius: _variable2.default['radio-medium-icon-size'],
        // lineHeight: Variables[`radio-medium-icon-size`]
        color: _variable2.default['radio-normal-icon-color-selected']
    },
    "radio-group": {
        flexDirection: "row",
        // justifyContent: center;
        alignItems: "center",
        marginTop: 5
    },

    "radio-group-small-text": {
        marginLeft: 5
        // lineHeight:Variables[`radio-small-touch-height`]
    },
    "radio-group-medium-text": {
        marginLeft: 5
        // lineHeight:Variables[`radio-medium-touch-height`]
    },
    "radio-touch-small": _extends({
        width: _variable2.default['radio-small-touch-width'],
        height: _variable2.default['radio-small-touch-height']
    }, (0, _mixins.alignCenter)()),
    "radio-touch-medium": _extends({
        width: _variable2.default['radio-medium-touch-width'],
        height: _variable2.default['radio-medium-touch-height']
    }, (0, _mixins.alignCenter)())
};
module.exports = styles;