var jsdoc = require('jsdoc-api');
var fs = require('fs');
let content = fs.readFileSync('./variable.js', 'utf-8');
let json = jsdoc.explainSync({source: content});

json = json.filter(item => item.comment).map(item => {
  delete item.meta;
  return item;
}).reduce((obj, item) => {
  obj[item.name] = {
    component: 'button',
    desc: item.description,
    kind: item.properties[0].name
  };
  return obj;
}, {})

fs.writeFileSync('./test.json', JSON.stringify(json), 'utf-8');



