/** @jsx createElement */
import { createElement, Component, render } from 'rax';
import View from 'nuke-view';
import Text from 'nuke-text';
import Env from 'nuke-env';
import Page from 'nuke-page';

const { params } = Env;
const styles = {
  result: {
    height: '480rem',
    margin: '30rem',
    padding: '10rem',
    backgroundColor: '#ffffff',
    justifyContent: 'center',
    alignItems: 'center',
  },
  resultText: {
    fontSize: '28rem',
    lines: 5,
    wordBreak: 'break-all', // for web
  },
  btns: {
    margin: '30rem',
  },
};
const App = class NukeDemoIndex extends Component {
  render() {
    return (
      <Page title="Next Page">
        <Page.Intro main="参数信息" />

        <View style={styles.result}>
          <Text style={styles.resultText}>
            data:
            {JSON.stringify(params)}
          </Text>
        </View>
      </Page>
    );
  }
};

render(<App />);
