# NukeEpTabbar

* category: Components
* chinese: 高性能的 ep-tab
* type: 基本

---

Tabbar

## API
| 参数            | 说明                             | 类型     | 默认值 |
| --------------- | -------------------------------- | -------- | ------ |
| activeKey       | 当前选中的tab                    | number   | 0      |
| dataSource      | tab导航的数据源                  | array    | 无     |
| navStyle        | 导航外观                         | number   |        |
| navFocusStyle   | 选中导航外观                     | object   | {}     |
| navFocusStyle   | 选中导航外观                     | object   | {}     |
| renderLoading   | 渲染loading方法，在tab切换时进行 | function | ()=>{} |
| navTop          | 是否是顶部导航                   | bool     | true   |
| epEnable        | 开启手势动效                     | bool     | false  |
| onChange        | tab切换的回调                    | function | ()={}} |
| forbidNavScroll | 禁止导航选中滚动                 | bool     | false  |
| beforeSlide     | 滚动前的回调函数，可用于禁止滚动 | function | ()=>{} |



Tabbar.Item
--

| 参数  | 说明          | 类型   | 默认值 |
| ----- | ------------- | ------ | ------ |
| style | tab的外观样式 | object | {}     |
