'use strict';

import { Detection } from 'nuke-ep-utils';

module.exports = {
  callWindvane(params, callback) {
    if (Detection.isWeex) {
      const Windvane = require('@weex-module/windvane');
      Windvane.call(params, callback);
    } else if (window.WindVane && window.WindVane.isAvailable) {
      window.WindVane.call(params.class, params.method, params.data, callback);
    }
  },
};
