# Feedback Demo

* order: 0

包含成功、失败、警告

---

```jsx
/** @jsx createElement */
import { createElement, Component, render } from 'rax';
import View from 'nuke-view';
import Text from 'nuke-text';
import Feedback from 'nuke-feedback';
import Page from 'nuke-page';
class App extends Component {
  render() {
    return (
      <Page title="Feedback">
        <Page.Intro main="success" />
        <Feedback type="success" style={styles.feedbackWrap}>
          There is something right for the right there is something right
        </Feedback>
        <Page.Intro main="error" />
        <Feedback type="error" style={styles.feedbackWrap}>
          There is something error for the error there is something error
        </Feedback>
        <Page.Intro main="warning" />
        <Feedback type="warning" style={styles.feedbackWrap}>
          There is something warning for the warning there is something warning
        </Feedback>
      </Page>
    );
  }
}
const styles = {
  feedbackWrap: {
    backgroundColor: '#ffffff',
    padding: 40
  }
};
render(<App />);
```
