# Iconfont

* category: API
* chinese: iconfont
* type: API 能力

---

## API

* Iconfont(options) 提供一个静态方法，用于设置 iconfont，以便灵活地使用 webfont 作为 icon

### Iconfont

```js
Iconfont({
  name: 'iconfont1',
  url: 'https://at.alicdn.com/t/font_1474198576_7440977.ttf'
});
```

```js
formatUnicode('&#xe600;');
```

用于将 unicode 转换为 weex 和 H5 同时能够使用的实体字符格式;

#### options

* options.name : iconfont 名称，例如 'iconfont1'
* options.url : iconfont 路径，当前仅支持 `ttf` 与 `woff` 格式 例如 'https://at.alicdn.com/t/font_1474198576_7440977.ttf',
  支持 http，https，scheme 自适应

### 备注

* nuke-icon 组件为你内置了十几个常见的 icon，你可以直接使用，具体列表详见该组件文档。
* iconfont 字符集 ttf 文件，可以从 [iconfont.cn](http://www.iconfont.cn) 导出。
