# 组件特性 1

* order: 0

简单的文档描述

---

```js
/** @jsx createElement */
import { createElement, Component, render } from 'rax';
import View from 'nuke-view';
import Page from 'nuke-page';
const Styles = {
  demo_item: {
    width: 750,
    height: 104,
    marginTop: 30,
    backgroundColor: 'yellow',
    justifyContent: 'center'
  }
};
let App = class NukeDemoIndex extends Component {
  constructor() {
    super();
  }

  render() {
    return (
      <Page title="页面">
        <Page.Intro main={'Vertical Scroll'} sub={'纵向滚动'} />
        <View style={Styles.demo_item} />
        <Page.Intro main={'Horizontal Scroll'} sub={'横向滚动'} />
        <View style={Styles.demo_item} />
        <Page.Intro sub={'纵向滚动'} />
        <View style={Styles.demo_item} />
        <Page.Intro main={'Horizontal Scroll'} sub={'横向滚动'} />
        <View style={Styles.demo_item} />
        <Page.Intro main={'Vertical Scroll'} sub={'纵向滚动'} />
        <Page.Intro main={'Horizontal Scroll'} sub={'横向滚动'} />
        <Page.Intro main={'Horizontal Scroll'} sub={'横向滚动'} />
      </Page>
    );
  }
};

render(<App />);
```
