/** @jsx createElement */
'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _rax = require('rax');

var _nukeView = require('nuke-view');

var _nukeView2 = _interopRequireDefault(_nukeView);

var _nukeText = require('nuke-text');

var _nukeText2 = _interopRequireDefault(_nukeText);

var _nukeScrollView = require('nuke-scroll-view');

var _nukeScrollView2 = _interopRequireDefault(_nukeScrollView);

var _styles = require('./styles');

var _styles2 = _interopRequireDefault(_styles);

var _item = require('./item');

var _item2 = _interopRequireDefault(_item);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Page = function (_PureComponent) {
  _inherits(Page, _PureComponent);

  function Page(props) {
    _classCallCheck(this, Page);

    return _possibleConstructorReturn(this, (Page.__proto__ || Object.getPrototypeOf(Page)).call(this, props));
  }

  _createClass(Page, [{
    key: 'render',
    value: function render() {
      return (0, _rax.createElement)(
        _nukeScrollView2.default,
        { style: _styles2.default.container },
        (0, _rax.createElement)(
          _nukeView2.default,
          { style: _styles2.default.title },
          (0, _rax.createElement)(
            _nukeView2.default,
            { style: _styles2.default.title_wrap },
            (0, _rax.createElement)(
              _nukeText2.default,
              { style: _styles2.default.title_text },
              this.props.title
            )
          )
        ),
        this.props.children,
        (0, _rax.createElement)(_nukeView2.default, { id: '_nuke_overlay_wrap_' })
      );
    }
  }]);

  return Page;
}(_rax.PureComponent);

Page.Intro = _item2.default;
exports.default = Page;
module.exports = exports['default'];