/** @jsx createElement */

/**
 * Copyright (c) 2015-present, Alibaba Group Holding Limited.
 * All rights reserved.
 *
 */
'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _rax = require('rax');

var _nukeView = require('nuke-view');

var _nukeView2 = _interopRequireDefault(_nukeView);

var _nukeText = require('nuke-text');

var _nukeText2 = _interopRequireDefault(_nukeText);

var _nukeScrollView = require('nuke-scroll-view');

var _nukeScrollView2 = _interopRequireDefault(_nukeScrollView);

var _styles = require('./styles');

var _styles2 = _interopRequireDefault(_styles);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var BizIntro = function (_PureComponent) {
  _inherits(BizIntro, _PureComponent);

  function BizIntro(props) {
    _classCallCheck(this, BizIntro);

    return _possibleConstructorReturn(this, (BizIntro.__proto__ || Object.getPrototypeOf(BizIntro)).call(this, props));
  }

  _createClass(BizIntro, [{
    key: 'render',
    value: function render() {
      var sub_style = [_styles2.default.intro_text, _styles2.default.intro_text_sub];
      if (this.props.main) sub_style.push({ marginTop: 16 });
      return (0, _rax.createElement)(
        _nukeView2.default,
        { style: _styles2.default.intro },
        (0, _rax.createElement)(
          _nukeText2.default,
          { style: _styles2.default.intro_text },
          this.props.main
        ),
        (0, _rax.createElement)(
          _nukeText2.default,
          { style: sub_style },
          this.props.sub
        )
      );
    }
  }]);

  return BizIntro;
}(_rax.PureComponent);

exports.default = BizIntro;
module.exports = exports['default'];