import { createElement, Component, render } from 'rax';
import View from 'nuke-view';
import Page from 'nuke-page';

const Styles = {
  demo_item: {
    width: 750,
    height: 104,
    marginTop: 30,
    backgroundColor: '#ffffff',
    justifyContent: 'center',
  },
};
const App = class NukeDemoIndex extends Component {
  constructor() {
    super();
  }

  render() {
    return (
      <Page title="scroll-view">
        <Page.Intro main={'Vertical Scroll'} sub={'纵向滚动'} />
        <View style={Styles.demo_item} />
        <Page.Intro main={'Horizontal Scroll'} sub={'横向滚动'} />
        <View style={Styles.demo_item} />
        <Page.Intro sub={'纵向滚动'} />
        <View style={Styles.demo_item} />
        <Page.Intro main={'Horizontal Scroll'} sub={'横向滚动'} />
        <View style={Styles.demo_item} />
        <Page.Intro main={'Vertical Scroll'} sub={'纵向滚动'} />
        <Page.Intro main={'Horizontal Scroll'} sub={'横向滚动'} />
        <Page.Intro main={'Horizontal Scroll'} sub={'横向滚动'} />
      </Page>
    );
  }
};

render(<App />);
