/** @jsx createElement */

'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _rax = require('rax');

var _nukeView = require('nuke-view');

var _nukeView2 = _interopRequireDefault(_nukeView);

var _nukeTouchable = require('nuke-touchable');

var _nukeTouchable2 = _interopRequireDefault(_nukeTouchable);

var _nukeText = require('nuke-text');

var _nukeText2 = _interopRequireDefault(_nukeText);

var _nukeThemeProvider = require('nuke-theme-provider');

var _radio = require('./radio');

var _radio2 = _interopRequireDefault(_radio);

var _styles = require('../styles');

var _styles2 = _interopRequireDefault(_styles);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

<<<<<<< HEAD
var RADIO_TYPES = {
  group: 'radio-group',
  horizontal: 'RadioHorizontal',
  'small-text': 'radio-group-small-text',
  'medium-text': 'radio-group-medium-text'
};

=======
/**
 * Radio.group
 * @description 单选框group模式
 */
>>>>>>> 5b44164448dd0b02dfc421ab5063abe062c2eef7
var RadioGroup = function (_Component) {
  _inherits(RadioGroup, _Component);

  function RadioGroup(props) {
    _classCallCheck(this, RadioGroup);

    var _this = _possibleConstructorReturn(this, (RadioGroup.__proto__ || Object.getPrototypeOf(RadioGroup)).call(this, props));

    _this.onChange = _this.onChange.bind(_this);
<<<<<<< HEAD
    _this.displayName = 'RadioGroup';
=======
>>>>>>> 5b44164448dd0b02dfc421ab5063abe062c2eef7
    var value = void 0;
    if ('value' in props) {
      value = props.value;
    }
    _this.state = {
      selectedValue: value
    };
    return _this;
  }

  _createClass(RadioGroup, [{
<<<<<<< HEAD
    key: 'componentWillReceiveProps',
    value: function componentWillReceiveProps(nextProps, nextContext) {
      if (nextProps.value != this.state.selectedValue) {
        this.setState({
          selectedValue: nextProps.value
        });
      }
    }
  }, {
=======
>>>>>>> 5b44164448dd0b02dfc421ab5063abe062c2eef7
    key: 'getChildContext',
    value: function getChildContext() {
      return {
        __group__: true,
        onChange: this.onChange,
        selectedValue: this.state.selectedValue
      };
    }
  }, {
<<<<<<< HEAD
    key: 'onChange',
    value: function onChange(value, e) {
      //同一个group下只能有一个被选中
      //
      this.setState({
        selectedValue: value
      });
      this.props.onChange(value);
=======
    key: 'componentWillReceiveProps',
    value: function componentWillReceiveProps(nextProps) {
      if (nextProps.value !== this.state.selectedValue) {
        this.setState({
          selectedValue: nextProps.value
        });
      }
    }
  }, {
    key: 'onChange',
    value: function onChange(value) {
      // 同一个group下只能有一个被选中
      this.setState({
        selectedValue: value
      });
      this.props.onChange && this.props.onChange(value);
    }
  }, {
    key: 'wrapPress',
    value: function wrapPress(value) {
      this.onChange(value);
>>>>>>> 5b44164448dd0b02dfc421ab5063abe062c2eef7
    }
  }, {
    key: 'render',
    value: function render() {
<<<<<<< HEAD
      var children = this.props.children;
      var _props = this.props,
          onChange = _props.onChange,
=======
      var _this2 = this;

      var _props = this.props,
>>>>>>> 5b44164448dd0b02dfc421ab5063abe062c2eef7
          _props$dataSource = _props.dataSource,
          dataSource = _props$dataSource === undefined ? [] : _props$dataSource,
          _props$style = _props.style,
          style = _props$style === undefined ? {} : _props$style,
          size = _props.size,
<<<<<<< HEAD
          horizontal = _props.horizontal;

      var groupStyle = _styles2.default[RADIO_TYPES['group']];
      var wrapStle = void 0;
      if (horizontal) {
        wrapStle = _styles2.default[RADIO_TYPES['horizontal']];
      }
      var textStyle = size && size == 'small' ? _styles2.default[RADIO_TYPES['small-text']] : _styles2.default[RADIO_TYPES['medium-text']];
=======
          type = _props.type,
          groupItemStyle = _props.groupItemStyle,
          themeStyle = _props.themeStyle,
          touchStyle = _props.touchStyle,
          labelStyle = _props.labelStyle,
          reverse = _props.reverse,
          renderItem = _props.renderItem;
      var children = this.props.children;

      var elementGroupStyle = Object.assign({}, themeStyle.group, groupItemStyle);

      var finalTextStyle = Object.assign(size === 'small' ? themeStyle['group-small-text'] : themeStyle['group-medium-text'], labelStyle);

>>>>>>> 5b44164448dd0b02dfc421ab5063abe062c2eef7
      var current = this.state.selectedValue;

      if (!children) {
        children = dataSource.map(function (item, index) {
          if ((typeof item === 'undefined' ? 'undefined' : _typeof(item)) !== 'object') {
<<<<<<< HEAD
            item = { label: item, value: item };
=======
            item = { label: item, value: item, index: index };
>>>>>>> 5b44164448dd0b02dfc421ab5063abe062c2eef7
          }

          var _item = item,
              label = _item.label,
              value = _item.value,
              others = _objectWithoutProperties(_item, ['label', 'value']);

          var checked = false;
<<<<<<< HEAD
          current == value ? checked = true : checked = false;

          if (label) {
            return (0, _weexRx.createElement)(
              _nukeComponents.View,
              { t: 'radio-item-wrap', key: index, style: groupStyle },
              (0, _weexRx.createElement)(_radio2.default, _extends({
                t: 'radioitem'
              }, others, {
                size: size,
                value: value,
                checked: checked
              })),
              (0, _weexRx.createElement)(
                _nukeComponents.Text,
                { t: 'radiotext', style: textStyle },
                label
              )
            );
          } else {
            return (0, _weexRx.createElement)(
              _nukeComponents.View,
              { t: 'radio-item-wrap', style: groupStyle },
              (0, _weexRx.createElement)(_radio2.default, _extends({}, others, { checked: checked }))
            );
          }
        });
      }

      return (0, _weexRx.createElement)(
        _nukeComponents.View,
        { t: 'radio-group-wrap', style: wrapStle },
=======
          current === value ? checked = true : checked = false;
          var labelGroup = [(0, _rax.createElement)(_radio2.default, _extends({
            t: 'radioitem'
          }, others, {
            size: size,
            value: value,
            checked: checked,
            touchStyle: touchStyle,
            type: type
          }, others)), (0, _rax.createElement)(
            _nukeText2.default,
            { t: 'radiotext', style: finalTextStyle },
            label
          )];

          if (reverse) {
            labelGroup = labelGroup.reverse();
          }

          if (label && !renderItem) {
            return (0, _rax.createElement)(
              _nukeTouchable2.default,
              {
                t: 'radio-item-wrap',
                key: index,
                style: elementGroupStyle,
                onPress: function onPress() {
                  return _this2.wrapPress(value);
                }
              },
              labelGroup
            );
          } else if (label && renderItem) {
            return typeof renderItem === 'function' ? renderItem(item, _this2.onChange) : null;
          }
          return (0, _rax.createElement)(
            _nukeView2.default,
            { t: 'radio-item-wrap', style: elementGroupStyle },
            (0, _rax.createElement)(_radio2.default, _extends({}, others, { checked: checked, touchStyle: touchStyle }))
          );
        });
      }

      return (0, _rax.createElement)(
        _nukeView2.default,
        { t: 'radio-group-wrap', style: style },
>>>>>>> 5b44164448dd0b02dfc421ab5063abe062c2eef7
        children
      );
    }
  }]);

  return RadioGroup;
<<<<<<< HEAD
}(_weexRx.Component);

RadioGroup.propTypes = {
  dataSource: _weexRx.PropTypes.array,
  onChange: _weexRx.PropTypes.func,
  value: _weexRx.PropTypes.any
=======
}(_rax.Component);

RadioGroup.displayName = 'RadioGroup';

RadioGroup.propTypes = {
  /**
   * 单选类型的数据源
   */
  dataSource: _rax.PropTypes.array,
  /**
   * 选中回调  callback when select done
   */
  onChange: _rax.PropTypes.func,
  /**
   * 选中的值，配合dataSource使用
   */
  value: _rax.PropTypes.any,
  /**
   * 单选框的尺寸
   */
  size: _rax.PropTypes.oneOf(['small', 'medium']),
  /**
   * 单选框的类型
   */
  type: _rax.PropTypes.oneOf(['normal', 'list', 'dark', 'dot']),
  /**
   * group 模式下每个item的最外层样式
   */
  groupItemStyle: _rax.PropTypes.object,
  /**
   * group 模式下label文案的样式
   */
  labelStyle: _rax.PropTypes.object,
  /**
   * 是否翻转文字与radio reverse the label and radio
   */
  reverse: _rax.PropTypes.bool,
  /**
   * 自定义渲染group item的方法
   */
  renderItem: _rax.PropTypes.func
>>>>>>> 5b44164448dd0b02dfc421ab5063abe062c2eef7
};

RadioGroup.defaultProps = {
  dataSource: [],
  onChange: function onChange() {},
<<<<<<< HEAD
  value: ''
=======
  value: '',
  size: 'small',
  type: 'normal',
  groupItemStyle: {},
  labelStyle: {},
  reverse: false
>>>>>>> 5b44164448dd0b02dfc421ab5063abe062c2eef7
};

RadioGroup.childContextTypes = {
<<<<<<< HEAD
  onChange: _weexRx.PropTypes.func,
  __group__: _weexRx.PropTypes.bool,
  selectedValue: _weexRx.PropTypes.any
=======
  onChange: _rax.PropTypes.func,
  __group__: _rax.PropTypes.bool,
  selectedValue: _rax.PropTypes.any
>>>>>>> 5b44164448dd0b02dfc421ab5063abe062c2eef7
};
exports.default = (0, _nukeThemeProvider.connectStyle)(_styles2.default)(RadioGroup);
module.exports = exports['default'];