/* @jsx createElement */
import { Component, createElement, PropTypes } from 'rax';
import Env from 'nuke-env';
import View from 'nuke-view';
import WebRefresh from './view/web';
const { isWeex } = Env;

class RefreshControl extends Component {
  render() {
    if (isWeex) {
      let displayRefresh = this.props.refreshing ? 'show' : 'hide';
      return <refresh {...this.props} display={displayRefresh} />;
    }
    return <WebRefresh {...this.props} />;
  }
}
RefreshControl.displayName = 'RefreshControl';
export default RefreshControl;
