# Transition

- category: API
- chinese: 渐变
- type: API能力

---

## API

### Transition(domNode, styles, options, callback)
- domNode: 可以通过 `findDOMNode(this.refs.box)` 找到。
- styles:object,例如 `{transform: 'rotate(720deg)'} ` `{transform: 'translate(150,150)'}`

**注意：translate(150,150) 中，150 的单位是rem，组件将自动在 h5 下转换为对应的 px 值并加上 px 单位**

- options: 动画参数：
````json
{
    timingFunction: 'ease-in-out',//时间函数，可选 //ease-in,ease-in-out,ease-out,linear,cubic-bezier
    delay: 0, //延迟，单位 ms
    duration: 500,  //持续时间 单位 ms
    needLayout:false //是否需要更新布局，默认 false
}
````

- callback: 回调