# Video

- category: Components
- chinese: 视频组件
- type: 基本

---

## 设计思路

视频播放组件，在 web 端即 html5 的 video 标签。

**因此如果用在 h5 降级时，在部分安卓机型上，可能有较多兼容性问题。**


## API

属性 | 说明 | 类型 | 默认值
-----|-----|-----|------
autoPlay | 设置视频自动播放 | boolean | false
src | 视频地址| string |无




```
<Video style={{width:'600rem',height:'800rem'}} src="https://tbm.alicdn.com/t6j5w4IjQkWm66aICZ0/NYnk9mFWUGcpPwJN6cZ%40%40ud.mp4" />
```
