/**
 * @description log utils
 * @author @dubu
 */
const chalk = require('chalk');

const log = console.log;

exports.info = function (str) {
  log(chalk.green(`[Info]: ${str}`));
};

exports.warn = function (str) {
  log(chalk.yellow(`[Info]: ${str}`));
};

exports.err = function (str) {
  log(chalk.red(`[Error]: ${str}`));
};

exports.debug = function (str) {
  if (process.env.DEBUG_ENV) {
    log(chalk.blue(`[Debug]: ${str}`));
  }
};
